%define major 0
%define libname %mklibname syncml %major

Name:		libsyncml
Version:	0.4.6
Release:	%{mkrel 1}
Summary:	C library implementation of the SyncML protocol
License:	LGPLv2+
Group:		System/Libraries
URL:		http://libsyncml.opensync.org/
Source:		http://libsyncml.opensync.org/download/releases/%{version}/%{name}-%{version}.tar.bz2
Patch0:		libsyncml-0.4.6-gobject.patch
Patch1:		libsyncml-libsoup24.diff

BuildRequires:	wbxml-devel
BuildRequires:	openobex-devel
BuildRequires:	libsoup-2.4-devel
BuildRequires:	bluez-devel
BuildRequires:	cmake

%description
C library implementation of the SyncML protocol

%package -n %{libname}
License:	LGPLv2+
Group:		System/Libraries
Summary:	C library implementation of the SyncML protocol

%description -n %{libname}
C library implementation of the SyncML protocol.

This package is required by applications using the Syncml library
implementation of SyncML.

%package -n %{libname}-devel
License:	LGPLv2+
Group:		System/Libraries
Summary:	Development package for C library implementation of the SyncML protocol
Requires:	%{libname} = %version-%release
Provides:	%{libname}-devel = %version-%release
Provides:	syncml-devel = %version-%release

%description -n %{libname}-devel
C library implementation of the SyncML protocol

This package is required to compile applications that use the Syncml
library implementation of SyncML

%prep
%setup -q
%patch0 -p1 -b .gobject
%patch1 -p0

%build
%cmake
%make

%install
cd build
%makeinstall_std
cd -

%clean

%files
%defattr(-,root,root)
%{_bindir}/syncml-http-server
%{_bindir}/syncml-http-client
%{_bindir}/syncml-obex-client

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/%{name}-1.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/libsyncml*.pc




%changelog

* Tue Oct 11 2011 juancho <juancho> 0.4.6-1.mga2
+ Revision: 153813
- imported package libsyncml

